Remove a fieldset from the schema
Remove a fieldset from the schema
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
dna_sequence_schema_id
ID of the DnaSequenceSchema.
Request
This endpoint expects an object.
fieldsetId
The API ID of the fieldset to remove from the schema. The fieldset must exist and be accessible.
schemaPrefixReplacement
If and only if the fieldset being removed sets the schema's prefix, this field must be present to provide a replacement prefix. It is an error to supply this field if the fieldset being removed does not have a prefix.
Response
OK
__typename
archiveReason
archived
availableRegistrationNamingOptions
constraint
Uniqueness constraint applied to entities registered from this schema. Null when no uniqueness constraint is configured.
containableType
Allowed values:
containerNameTemplate
A name template for containers.
createdAt
description
fieldDefinitions
Field definitions configured on this schema.
fieldsets
iconId
Icon displayed in the UI for entities registered from this schema.
id
includeRegistryIdInChips
itemIdPrefix
Prefix used for registry IDs (entityRegistryId) of entities registered from this schema.
modifiedAt
name
nameTemplate
A name template for entities.
organization
showResidues
Controls whether DNA residues are displayed in the UI.
systemCategories
systemName
useRegistryIdForItemDisplayLabel
validationRules
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error